ZFS-PROMOTE(8)

NAME
zfs-promote - Promotes a clone file system to no longer be dependent on its origin snapshot.

SYNOPSIS
zfs promote clone-filesystem

DESCRIPTION

    zfs promote clone-filesystem The promote command makes it possible to destroy the file system that the clone was created from. The clone parent-child dependency relationship is reversed, so that the origin file system becomes a clone of the specified file system.

    The snapshot that was cloned, and any snapshots previous to this snapshot, are now owned by the promoted clone. The space they use moves from the origin file system to the promoted clone, so enough space must be available to accommodate these snapshots. No new space is consumed by this operation, but the space accounting is adjusted. The promoted clone must not have any conflicting snapshot names of its own. The zfs-rename(8) subcommand can be used to rename any conflicting snapshots.

SEE ALSO
zfs-clone(8)